com.sleepycat.collections

## Interface PrimaryKeyAssigner

-     public interface PrimaryKeyAssigner

  An interface implemented to assign new primary key values. An implementation of this interface is passed to the `StoredMap` or `StoredSortedMap` constructor to assign primary keys for that store. Key assignment occurs when `StoredMap.append()` is called.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `assignKey(DatabaseEntry keyData)` Assigns a new primary key value into the given buffer.

- - ### Method Detail

    - #### assignKey

          void assignKey(DatabaseEntry keyData)
                  throws DatabaseException

      Assigns a new primary key value into the given buffer.
      Parameters:
        `keyData` - the buffer.
      Throws:
        `DatabaseException` - to stop the operation and cause this exception to be propagated to the caller of `StoredMap.append()`.

Copyright (c) 1996, 2017 Oracle and/or its affiliates. All rights reserved.